# GCC_ConferenceNameSelector Class Reference

`#include <gcc.h>`

List of all members.

## Public Types

enum | Choices { e_numeric, e_text }

## Public Member Functions

| GCC_ConferenceNameSelector (unsigned tag=0, TagClass tagClass=UniversalTagClass)
| operator GCC_SimpleNumericString & ()
| operator const GCC_SimpleNumericString & () const
| operator GCC_SimpleTextString & ()
| operator const GCC_SimpleTextString & () const
PBoolean | CreateObject ()
PObject * | Clone () const

## Member Enumeration Documentation

enum GCC_ConferenceNameSelector::Choices

Enumerator:

  e_numeric |
  e_text |

## Constructor & Destructor Documentation

GCC_ConferenceNameSelector::GCC_ConferenceNameSelector | ( | unsigned | tag = `0`,
|  | TagClass | tagClass = `UniversalTagClass` |
| ) |  |  |

## Member Function Documentation

GCC_ConferenceNameSelector::operator GCC_SimpleNumericString & | ( |  | ) |

GCC_ConferenceNameSelector::operator const GCC_SimpleNumericString & | ( |  | ) | const

GCC_ConferenceNameSelector::operator GCC_SimpleTextString & | ( |  | ) |

GCC_ConferenceNameSelector::operator const GCC_SimpleTextString & | ( |  | ) | const

PBoolean GCC_ConferenceNameSelector::CreateObject | ( |  | ) |

PObject* GCC_ConferenceNameSelector::Clone | ( |  | ) | const

The documentation for this class was generated from the following file:

- gcc.h